Loading...
Searching...
No Matches
Ogre::IShader Struct Referenceabstract
RenderSystems » Tiny

`#include <OgreTinyRenderSystem.h>`

## Public Types

typedef Matrix3 | mat3
typedef Matrix4 | mat4
typedef Vector< 2, float > | vec2
typedef Vector< 3, float > | vec3
typedef Vector< 3, uchar > | vec3b
typedef Vector< 4, float > | vec4
typedef Vector< 4, uchar > | vec4b

## Public Member Functions

virtual bool | fragment (const vec3 &bar, ColourValue &gl_FragColor)=0

## Static Public Member Functions

static int | mod (int a, int b)
static const vec4b & | sample2D (const Image &img, const vec2 &uv)

## Member Typedef Documentation

## vec2

typedef Vector<2, float> Ogre::IShader::vec2

## vec3

typedef Vector<3, float> Ogre::IShader::vec3

## vec4

typedef Vector<4, float> Ogre::IShader::vec4

## vec3b

typedef Vector<3, uchar> Ogre::IShader::vec3b

## vec4b

typedef Vector<4, uchar> Ogre::IShader::vec4b

## mat3

typedef Matrix3 Ogre::IShader::mat3

## mat4

typedef Matrix4 Ogre::IShader::mat4

## Member Function Documentation

## mod()

int Ogre::IShader::mod | ( | int | a,
|  | int | b )

inline static

Referenced by sample2D().

## sample2D()

const vec4b & Ogre::IShader::sample2D | ( | const Image & | img,
|  | const vec2 & | uv )

inline static

References Ogre::Image::getData(), Ogre::Image::getHeight(), Ogre::Image::getWidth(), and mod().

## fragment()

virtual bool Ogre::IShader::fragment | ( | const vec3 & | bar,
|  | ColourValue & | gl_FragColor )

pure virtual

The documentation for this struct was generated from the following file:

- OgreTinyRenderSystem.h